Subject: Re: Subversion developer: svn is for dumb people

From: Pierre Habouzit <[email-masked]>
Date: Fri, 19 Oct 2007 15:19:34 +0200

On Fri, Oct 19, 2007 at 01:17:05PM +0000, Johannes Schindelin wrote:
> Hi,
> 
> On Fri, 19 Oct 2007, Pierre Habouzit wrote:
> 
> > On Thu, Oct 18, 2007 at 02:25:36PM +0000, Steven Grimm wrote:
> > > Thought folks here might get a kick out of this:
> > > 
> > > http://blog.red-bean.com/sussman/?p=79
> > > 
> > > Okay, my summary is slightly facetious, but that's basically the gist 
> > > of what he's saying: you should choose Subversion rather than a DVCS 
> > > because most of your users won't be smart enough to use the better 
> > > tool.
> > > 
> > > I can't say he's completely wrong, especially about the 20/80% idea 
> > > (though I think "20%" is generous), but some of his specific arguments 
> > > about DVCS are on the bogus side. "Centralized systems encourage code 
> > > reviews," for one -- I challenge him to find a project with a more 
> > > pervasive and effective code-reviewing culture than the git project.
> > 
> >   Your argument is also bogus.
> > 
> >   IMNSHO, peer reviewing has nothing to do with git, svn, or $SCM. It's 
> > a social pattern. There are people that do it because they understand 
> > it's a good and necessary sound thing to do, and there are the others. 
> > Guess what, it has a lot to do with the 20%/80% line (that I would have 
> > more described as the 2/98 but well…).
> 
> I tend to disagree.  Git at least _enables_ you to have the 
> one-committer-per-repository scheme, it even _encourages_ it to a certain 
> extent.
> 
> And once you go that route, it is easy to see that the committer says "I 
> will not let that _crap_ enter my repository."  Bingo, peer review.
> 
> Compare that to a centralised repository, where more often than not, the 
> administrator is not even part of the developer community!  It is much 
> easier not to feel too responsible for the code you are committing there.

  I agree, that's why I said that git made it easier. WHat I pretend to
be wrong is to say that a SCM will make people review code or not. Git
merely help people that want to always review code to be completely sure
some review has happened before the code is merged. But nothing in git
forbids you to use the big fat <centralized repo with everyone having
push access to it>-mode.

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org